//
// ETSI (European Telecommunications Standards Institute, referred to as ETSI)
// ARF - ETSI ISG Augmented Reality Framework (ISG ARF)
// (C) 2022
//
// Development "World Storage", data management, authoring tools
//
// Authors:
// - Sylvain Renault (Fraunhofer HHI)
// 
// Date: Feb. 2022
//

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;

namespace ETSI.ARF.WorldStorage.UI
{
    [CustomEditor(typeof(WorldStorageUser))]
    public class WorldStorageUserEditor : Editor
    {
        WorldStorageUser worldStorageUser;
        WorldStorageWindow win;

        public void OnEnable()
        {
            worldStorageUser = (WorldStorageUser)target;
        }

        public override void OnInspectorGUI()
        {
            serializedObject.Update();

            Color ori = GUI.backgroundColor;

            GUILayout.Label("Copyright(c) 2022, ETSI - ARF");
            EditorGUILayout.Space();
            GUILayout.Label("Parameters:", EditorStyles.boldLabel);
            DrawDefaultInspector();
            EditorGUILayout.Space();

            // creator UUID button
            GUI.backgroundColor = WorldStorageWindow.arfColors[1];
            if (GUILayout.Button("Generate New Creator UUID"))
            {
                worldStorageUser.UUID = System.Guid.NewGuid().ToString();
                if (win != null) win.worldStorageUser.UUID = worldStorageUser.UUID;
            }
            GUI.backgroundColor = ori;
        }
    }
}